<?php
header('Content-type: text/json');
require "/home/desenvwor/public_html/videos/config/config.php";
$conecta = new mysqli(BD_HOST,BD_USUARIO,BD_SENHA,BD_BANCO);

$i = 1;
$sql = $conecta->query("SELECT * FROM montadoras WHERE destaque = '1' ORDER BY id ASC");
while ($consulta = $sql->fetch_assoc()){
$evNum = 'montadora_'.$i;
$montadora[$evNum]['id'] = $consulta['id'];
$montadora[$evNum]['nome'] = $consulta['nome'];
$montadora[$evNum]['arquivo'] = $consulta['arquivo'];

$c = 1;
$sqlF = $conecta->query("SELECT * FROM servicoMontadora WHERE idMontadora = '".$consulta['id']."' ORDER BY descricao ASC");
while ($consultaF = $sqlF->fetch_assoc()){
$ftNum = 'servico_'.$c;
$montadora[$evNum][$ftNum]['idServico'] = $consultaF['id'];
$montadora[$evNum][$ftNum]['descricao'] = $consultaF['descricao'];
$c = $c + 1;}

$i = $i + 1;}

$json_string = json_encode($montadora);

echo $json_string;
?>